<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>
  <ItemGroup>
    <ProjectReference Include="..\R2.Accounting\R2.Accounting.csproj"/>
    <ProjectReference Include="..\R2.Framework.Infrastrcture\R2.Framework.Infrastrcture.csproj"/>
    <ProjectReference Include="..\R2.Accounting.Handlers\R2.Accounting.Handlers.csproj"/>
    <ProjectReference Include="..\R2.Framework.MB\R2.Framework.MB.csproj"/>
    <ProjectReference Include="..\R2.Accounting.QueryHandlers\R2.Accounting.QueryHandlers.csproj"/>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="MassTransit.RabbitMQ" Version="7.0.0"/>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.1"/>
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="3.1.5"/>
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="3.1.5"/>
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="3.1.1"/>
  </ItemGroup>
  <ItemGroup>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
</Project>